cURL
curl --request GET \
--url https://api.mudstack.com/workspaces/assets/{asset_id}/attachments/{attachment_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.mudstack.com/workspaces/assets/{asset_id}/attachments/{attachment_id}"
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mudstack.com/workspaces/assets/{asset_id}/attachments/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"file_id": "<string>",
"thumbnail_file_id": "<string>",
"review_id": "<string>",
"comment_id": "<string>",
"name": "<string>",
"description": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
}Attachments
Get attachment
Retrieve a specific attachment by its ID.
GET
/
workspaces
/
assets
/
{asset_id}
/
attachments
/
{attachment_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
The requested attachment
Represents an attachment associated with an asset.
Unique identifier for the asset attachment.
Identifier of the associated asset.
Identifier of the user who created the attachment.
Identifier of the file associated with the attachment.
Identifier of the thumbnail file associated with the attachment.
Identifier of the associated review.
Identifier of the associated comment.
Name of the attachment.
Description of the attachment.
User associated with the attachment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I